Bug 238948 - CVE-2007-2172 fib_semantics.c out of bounds access vulnerability
Summary: CVE-2007-2172 fib_semantics.c out of bounds access vulnerability
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
high
Target Milestone: ---
: ---
Assignee: Don Howard
QA Contact: Martin Jenner
URL:
Whiteboard: impact=important,source=redhat,report...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-04 02:07 UTC by Marcel Holtmann
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHSA-2007-0347
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-16 18:57:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0347 normal SHIPPED_LIVE Important: kernel security and bug fix update 2007-05-16 18:56:58 UTC

Description Marcel Holtmann 2007-05-04 02:07:16 UTC
The Linux kernel is prone to an out-of-bounds-access vulnerability. This issue
occurs because the semantics for IPv4 Forwarding Information Base fail to
adequately bounds-check user-supplied data before accessing an array.

An attacker can exploit this issue to cause denial-of-service conditions.
Arbitrary code execution may also be possible, but this has not been confirmed.

Comment 1 Don Howard 2007-05-07 17:13:23 UTC
A patch for this issue has been included in build 2.6.18-8.1.4.el5.

Comment 2 Mike Gahagan 2007-05-09 20:08:38 UTC
Confirmed that the patch is in 2.6.18-8.1.4.el5. I take it there is no known
exploit or other test case for this.


Comment 5 Red Hat Bugzilla 2007-05-16 18:57:37 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0347.html



Note You need to log in before you can comment on or make changes to this bug.